Search documentation of phoenix_kit

# PhoenixKit (phoenix_kit v1.6.19)

View Source

PhoenixKit

# Summary

## Functions

config()

Returns PhoenixKit configuration.

configured?()

Validates if PhoenixKit is properly configured.

version()

Returns the current version of PhoenixKit.

# Functions

# config()

    @spec config() :: map()

Returns PhoenixKit configuration.

## Examples

    iex> PhoenixKit.config()
    %{ecto_repos: []}

# configured?()

    @spec configured?() :: boolean()

Validates if PhoenixKit is properly configured.

Checks for required configuration keys and returns a status.

## Examples

    iex> PhoenixKit.configured?()
    false

# version()

    @spec version() :: String.t()

Returns the current version of PhoenixKit.

## Examples

    iex> PhoenixKit.version()
    "1.3.3"